import { defineComponent as i, toRefs as m, openBlock as p, createElementBlock as d, createElementVNode as t, createVNode as n, unref as o } from "vue";
import e from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const C = { class: "com_13" }, v = { class: "com_13_1" }, x = { class: "com_13_1_1" }, y = { class: "com_13_2" }, h = i({ name: "EComponent13" }), N = /* @__PURE__ */ i({
  ...h,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(c) {
    const l = c, {
      titleConfig: f,
      imageConfig: s,
      unitConfig: g,
      valueConfig: _,
      valueConfig2: u,
      valueTextConfig: a,
      valueTextConfig2: r
    } = m(l.chartConfig.option);
    return (b, E) => (p(), d("div", C, [
      t("div", v, [
        t("div", x, [
          n(e, {
            type: "img",
            config: o(s),
            class: "img"
          }, null, 8, ["config"]),
          n(e, {
            type: "text",
            config: o(f)
          }, null, 8, ["config"])
        ]),
        n(e, {
          type: "text",
          config: o(g)
        }, null, 8, ["config"])
      ]),
      t("div", y, [
        t("div", null, [
          n(e, {
            type: "number",
            config: o(_)
          }, null, 8, ["config"]),
          n(e, {
            type: "text",
            config: o(a)
          }, null, 8, ["config"])
        ]),
        t("div", null, [
          n(e, {
            type: "number",
            config: o(u)
          }, null, 8, ["config"]),
          n(e, {
            type: "text",
            config: o(r)
          }, null, 8, ["config"])
        ])
      ])
    ]));
  }
});
export {
  N as default
};
